petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSConvergedReason

reason a TS method has converged or not

### Synopsis

    typedef enum {
      TS_CONVERGED_ITERATING      = 0,
      TS_CONVERGED_TIME           = 1,
      TS_CONVERGED_ITS            = 2,
      TS_CONVERGED_USER           = 3,
      TS_CONVERGED_EVENT          = 4,
      TS_DIVERGED_NONLINEAR_SOLVE = -1,
      TS_DIVERGED_STEP_REJECTED   = -2
    } TSConvergedReason;

Developer Notes: this must match petsc/finclude/petscts.h

Each reason has its own manual page.

### See Also

TSGetConvergedReason()

Level:beginner
Location:src/ts/adapt/../../../include/petscts.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages